Bug 310631 - Review Request: wmnd - A network monitoring dock app for WindowMaker
Review Request: wmnd - A network monitoring dock app for WindowMaker
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 07:35 EDT by Steve
Modified: 2009-01-28 09:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-25 19:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2007-09-28 07:35:42 EDT
Spec URL: http://lonetwin.net/pkgs/wmnd.spec
SRPM URL: http://lonetwin.net/pkgs/wmnd-0.4.12-0.fc7.src.rpm
Description:

WMND (WindowMaker Network Devices) is a network monitoring dock app improved
and based on WMiFS 1.3b.

URL of original package: http://www.thregr.org/~wavexx/software/wmnd/

It displays various network interface stats in real time using a variety of different graphing options. Currently, there is no similar network monitoring dockapp for windowmaker. This is my first submission to Fedora (so, please be gentle, don't hurt me :)). I intend to submit a few more dockapps which I use myself.
Comment 1 Patrice Dumas 2007-10-05 16:32:16 EDT
The source should be an url allowing to download the tarball. 
In that case, something along:
http://www.thregr.org/~wavexx/software/wmnd/releases/wmnd-%{version}.tar.gz

At first sight the buildroot doesn't seems to be in the preferred ones.

This package depends on trend, that doesn't seems to be in fedora
http://www.thregr.org/~wavexx/software/trend/
it would be nice to package it too.

The CFLAGS are already set by %configure.

You can use
make install DESTDIR=...
if you go that way, you could add
INSTALL='install -p' on the make install command line to keep timestamp.
And you'll have to remove the example config file that is better shipped
as doc as you do.

make %{?_smp_mflags}
should be used unless it is broken.

I suggest that you install the rpmdevtools package and have 
a look at the template in /etc/rpmdevtools/spectemplate-minimal.spec 
Also some of the issue I post are explained in the guidelines
http://fedoraproject.org/wiki/Packaging/Guidelines

the package can use the snmp libs to have more functionalities.

The README.Fedora doesn't seems to be useful to me, the dockapp
will work out of the box as expected.

It would be nice to ask the copyright holder of drivers.c to
add a proper license notice. Not a blocker since it is clearly
intended to be GPL.

The license seems to me to be GPLv2+ and not GPLv2.

rpmlint:
wmnd.i386: W: no-version-in-last-changelog

Suggestions:
use
%{_mandir}/man1/wmnd.1*
to catch all the possible compressions (and no compression)

replace %defattr (-,root,root) with %defattr (-,root,root,-)
Comment 2 Rakesh Pandit 2008-09-03 12:29:07 EDT
@Steve
Needs an update soon, or will be closed?
Comment 4 Patrice Dumas 2008-10-25 19:01:00 EDT
Closing, it has been a very long time without activity.

Note You need to log in before you can comment on or make changes to this bug.